> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /messari/assets/events

> Get notable events and key developments for a crypto asset

**Price:** 1 credit

**💡 AI Hint:** Get the stream of notable events and key developments tagged to a crypto asset, by its slug or ticker symbol. Each item has the title, summary, source link, preview image, publication date, content and source type, the source (name, logo), and the tagged assets. Use it for an asset's due-diligence event timeline.

**⚠️ Common errors:** 412: Asset not found



## OpenAPI

````yaml /openapi-filtered.json post /api/messari/assets/events
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/messari/assets/events:
    post:
      tags:
        - /messari
      summary: /messari/assets/events
      description: >-
        Get notable events and key developments for a crypto asset


        **Price:** 1 credit


        **💡 AI Hint:** Get the stream of notable events and key developments
        tagged to a crypto asset, by its slug or ticker symbol. Each item has
        the title, summary, source link, preview image, publication date,
        content and source type, the source (name, logo), and the tagged assets.
        Use it for an asset's due-diligence event timeline.


        **⚠️ Common errors:** 412: Asset not found
      operationId: __api_messari_assets_events_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessariAssetsEventsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MessariFeedItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessariAssetsEventsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        asset:
          type: string
          minLength: 1
          description: Asset slug or ticker symbol
          examples:
            - bitcoin
            - ethereum
            - BTC
        count:
          type: integer
          minimum: 1
          description: Max number of events to return
      type: object
      required:
        - asset
        - count
    MessariFeedItem:
      properties:
        '@type':
          type: string
          default: MessariFeedItem
        id:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        content_type:
          anyOf:
            - type: string
            - type: 'null'
        source_type:
          anyOf:
            - type: string
            - type: 'null'
        is_video:
          anyOf:
            - type: boolean
            - type: 'null'
        is_price_analysis:
          anyOf:
            - type: boolean
            - type: 'null'
        source:
          anyOf:
            - $ref: '#/components/schemas/MessariFeedSource'
            - type: 'null'
        assets:
          items:
            $ref: '#/components/schemas/MessariAssetRef'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MessariFeedSource:
      properties:
        '@type':
          type: string
          default: MessariFeedSource
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    MessariAssetRef:
      properties:
        '@type':
          type: string
          default: MessariAssetRef
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        symbol:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````